/*
Generic implementation of the PokktNativeExtension extension.
This file should perform any platform-indepedentent functionality
(e.g. error checking) before calling platform-dependent implementations.
*/

/*
 * NOTE: This file was originally written by the extension builder, but will not
 * be overwritten (unless --force is specified) and is intended to be modified.
 */


#include "PokktNativeExtension_internal.h"
s3eResult PokktNativeExtensionInit()
{
    //Add any generic initialisation code here
    return PokktNativeExtensionInit_platform();
}

void PokktNativeExtensionTerminate()
{
    //Add any generic termination code here
    PokktNativeExtensionTerminate_platform();
}

void notifyNative(const char* operation, const char* param)
{
	notifyNative_platform(operation, param);
}

double getRewardedAdVcOnNative(const char* param)
{
	return getRewardedAdVcOnNative_platform(param);
}

const char * getSDKVersionOnNative()
{
	return getSDKVersionOnNative_platform();
}
