//
//  AdNetwork.h
//  PokktSDK
//
//  Created by Subhendu Sekhar Sahu on 09/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "NetworkModel.h"
#import "PokktConfig.h"
#import "PokktManager.h"
#import "AdConfig.h"

@protocol AdNetwork <NSObject>

- (void) initNetwork: (PokktConfig *)pokktConfig
        networkModel: (NetworkModel *)networkModel;

- (void) cacheAd: (AdConfig *)adConfig;

- (void) showAd: (AdConfig *)adConfig presentingViewController:(UIViewController *)viewController;

- (void) checkAdAvailability: (AdConfig *)adConfig;

- (void) setCacheTimedOut: (AdConfig *)adConfig;

@end
