//
//  NetworkModel.h
//  PokktSDK
//
//  Created by Subhendu Sekhar Sahu on 08/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NetworkModel : NSObject

@property (nonatomic, retain) NSString * name;

@property (nonatomic, retain) NSString * className;

@property (nonatomic, retain) NSDictionary  * customData;

@property (nonatomic, retain) NSString  * networkID;

@property (nonatomic, retain) NSString  * intgrationType;

@property (nonatomic, retain) NSString * allotedCacheTime;

@property (nonatomic) BOOL isSupportRewarded;

@property (nonatomic) BOOL isSupportNonRewarded;


- (void)initNetwork:(NSDictionary *)dictionary;

- (void)setNetworkName:(NSDictionary*)dictionary;

- (void)setNetworkClassName:(NSDictionary*)dictionary;

- (void)setNetworkCustomData:(NSDictionary *)dictionary;
    
- (void)setNetworkId:(NSDictionary *)dictionary;

- (void)setNetworkIntgrationType:(NSDictionary *)dictionary;


@end