//
//  SelectorScreen.h
//  PokktSample
//
//  Created by Pankaj Kumar on 22/04/15.
//
//

#ifndef __PokktSample__SelectorScreen__
#define __PokktSample__SelectorScreen__

#include "scene.h"
#include "PCPokktConfig.h"
#include "PCPokktDelegate.h"

using namespace pokkt;

class SelectorScreen : public Scene, public PCPokktInitializedDelegate
{
private:
    CSprite* initializeBtn;
    CSprite* demoScreen1Btn;
    CSprite* demoScreen2Btn;
    CSprite* offerwallBtn;
    CSprite* exportLogBtn;
    bool isPokktReady;
    
    virtual void handlePokktInitialized(bool isReady);
    
    void initPokkt();
    static PCPokktConfig *pokktConfig;

public:
    SelectorScreen();
    ~SelectorScreen();
    
    //
    void Init();
    void Update(float deltaTime = 0.0f, float alphaMul = 1.0f);
    void Render();
};

#endif /* defined(__PokktSample__SelectorScreen__) */
