#ifndef PokktNativeExtension_iphone_PCPokktDelegate_h
#define PokktNativeExtension_iphone_PCPokktDelegate_h

#include <map>
#include <string>
#include "PCAdConfig.h"

namespace pokkt
{
    class PCPokktInitializedDelegate
    {
        virtual void handlePokktInitialized(bool isReady) = 0;
    };
    
    class PCPokktAdDelegate
    {
    public:
        virtual void handleAdAvailability(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdCachingCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdCachingFailed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdDisplayed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdSkipped(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdClosed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
        virtual void handleAdGratified(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues) = 0;
    };
    
    class PCPokktOfferwallDelegate
    {
    public:
        virtual void handleCoinResponse(std::string coins) = 0;
        virtual void handleCoinResponseWithTrId(std::string coinsWithTrId) = 0;
        virtual void handleCoinResponseFailed(std::string message) = 0;
        virtual void handleCampaignAvailibity(std::string message) = 0;
        virtual void handleOfferwallclosed(std::string message) = 0;
    };
}

#endif
